================================================================================
==============!!     Insanity Deathmatch Server Admin Info		!!==============

Before starting your own server in Insanity Deathmatch, this text file contains
useful information on running and playing the mod in your server.


== RUNNING THE MOD: ==

When listing the WADs for your server, make sure Insanity Deathmatch is loaded
*AFTER* any maps you want to play with the mod, to ensure the mod's full
compatibility.

For example, if you want to play Aeon Deathmatch with Insanity Deathmatch, the
loading order for your server's wad list MUST be like this:

AeonDM.pk3
IDM_v#.#.pk3

If using the Skinnable Edition, make sure the skinpack of your server is loaded
AFTER IDM_SkEdit_v#.#.pk3. This applies to the Insanity Deathmatch Skin Pack
(IDM_Skinpack_v#.#.pk3).

For example, if you instead want to play Aeon Deathmatch with Insanity
Deathmatch: Skinnable Edition and the Insanity Deathmatch Skinpacks, the loading
order for your server must be like this:

AeonDM.pk3
IDM_SkEdit_v#.#.pk3
IDM_Skinpack_v#.#.pk3
IDM_SkinpackExtra_v#.#.pk3

If you want to play maps that require Skulltag content, you must load the
Skulltag patch file (IDM_STPatch_v#.#) for Insanity Deathmatch!
The loading order for Skulltag content is as follows:

skulltag_content-3.#-beta#.pk3
*mapsets*
IDM_v#.# (or IDM_SkEdit_v#.#.pk3)
IDM_STPatch_v#.#.pk3
[IDM_Skinpack_v#.#.pk3]
[IDM_SkinpackExtra_v#.#.pk3]

All other accessory files, such as announcers, may be loaded last. Insanity
Deathmatch comes with its own announcer (IDMAnnouncer_v1.#.pk3), which you may
load in your server as one of the last files.


== GAME MODES AND FLAGS ==

Insanity Deathmatch is compatible and fully tested with Deathmatch, Team
Deathmatch, Duel, Last Man Standing, Team LMS, and Capture the Flag. Any other
Zandronum gamemode is untested and not recommended for playing with Insanity
Deathmatch!

= Recommended Deathmatch and LMS Flags: =

DMFlags: 4216068
DMFlags2: 1796
ZADMFlags: 34816
CompatFlags: 0
CompatFlags2: 0
ZACompatFlags: 0

= Recommended Team gamemode Flags: =

DMFlags: 4216068
DMFlags2: 1860
ZADMFlags: 6342656
CompatFlags: 0
CompatFlags2: 0
ZACompatFlags: 0

= Potentially changeable Deathmatch & LMS Flags: =

You may change certain CompatFlags, CompatFlags2 and ZACompatFlags if the maps
require certain compatibility settings. Otherwise any value on them is not
recommended for Deathmatch, Last Man Standing or team gamemodes.

compat_instantrespawn: Can be set to 'true' if you want to allow players to
respawn instantly. However, for the already extremely fast gameplay of Insanity
Deathmatch, this is not recommended.

sv_nojump: Can be set to 'true' if the map's compatibility requires it, and the
map doesn't disable jumping to begin with.

sv_nomonsters: Can be set to 'false' if the map has monsters intentionally for
Deathmatch, like Rott!Zone Deathmatch MAP06.

= Recommended Duel Flags: =

DMFlags: 5329924
DMFlags2: 1088
ZADMFlags: 32768
CompatFlags: 2013346783
CompatFlags2: 0
ZACompatflags: 25035328

= Potentially changeable Duel Flags: =

sv_nofreelook: Can be set to 'true' for a more OG duel experience, but some
weapons like the Railgun and Grenade Launcher will be harder to use, because
they have no autoaim.

compat_soundslots: Can be set to 'true' for an even more OG duel experience, but
weapons will sound a bit more jittery because some of them are designed to play
multiple sounds in different sound slots at the same time.


= Armor flag for Last Man Standing =

This flag will toggle the extra starting armor the players have in LMS. It can
be changed in the menu from Insanity Options -> Gamemode Options -> LMS: Extra
Armor.

You can also use this variable in the console:
idm_lmsarmor true/false

When set to true, players will have 200 starting armor.
When set to false, players will have 100 starting armor.
Default is true.

= Normal spawn flag for Duel =

By default, Duel has less weapons and powerups to make the game mode more
playable. This can be changed in the menu from Insanity Options -> Gamemode
Options -> Duel: Normal item spawns.

You can also use this variable in the console:
idm_duelnormalspawns true/false

When set to true, weapon and powerup spawns are just like in Deathmatch.
When set to false, weapon and powerup spawns will be more balanced for Duel.
Default is false.

= Blacklisted Flags - using these settings is *absolutely NOT* recommended!! =

sv_allowcrouch true & sv_nocrouch false: (Who the F*CK thought crouching on BY
DEFAULT was a good idea?!)

sv_norespawninvul false: If you have this set to false, a lot of players will
get mad. Known from experience.


== MODIFIERS ==

Insanity Deathmatch comes with 18 different modifiers.

By default, there is an 8.33% chance for a random modifier to activate at the
start of each match. This can be turned off in Insanity Options -> Insanity
Modifiers -> Disable random modifiers -> Yes.
Alternatively, you can use this variable in the console to disable them:
idm_norandommodifiers true

Insanity Deathmatch is also compatible with Zandronum's Instagib and Buckshot
modifiers. However, the random modifiers are NOT compatible with these default
modifers! If you have Zandronum's Instagib or Buckshot set to true, please turn
the random modifiers OFF!

If you want to set up a permanent Instagib or Buckshot server, write in the
server's additional parameters:

'instagib true' or 'buckshot true', then 'idm_norandommodifiers true'.


== Insanity Modifiers:

Notice: Most modifiers disable all pickups on the map, and players can only use
a specific weapon.

When random modifiers are disabled, a specific modifier can be set from Insanity
Options -> Modifier Options or by typing 'idm_modifier #', where # is the
respective number for each modifier. More information on each modifier below.
After setting the modifier, a map restart is required for full effect.

Some modifiers cut the fraglimit in half on purpose, so when random modifiers
are enabled, it is highly recommended to use an EVEN fraglimit, such as 30!

Setting it to 25, for example, will make the fraglimit 13 in modifiers that
halve it, because it is rounded up to the nearest whole number. However, after
they are over, the mod doubles the fraglimit again, in which case the fraglimit
goes to 26.


= Instagib =

Same as Zandronum's Instagib, but is also a separate modifier in Insanity
Deathmatch, for compatibility reasons with the random modifiers setting.
For permanent use on the server, it is better to use Zandronum's Instagib
modifier (instructions for which are above).

When enabled, players can only use the Railgun with infinite ammo.
CVAR: idm_modifier 1


= Buckshot =

Same as Zandronum's Buckshot, but is also a separate modifier in Insanity
Deathmatch, for compatibility reasons with the random modifiers setting.
For permanent use on the server, it is better to use Zandronum's Buckshot
modifier (instructions for which are above).

When enabled, players can only use the Super Shotgun with infinite ammo.
CVAR: idm_modifier 2


= Blade Mode =

When enabled, players can only use the Vorpal Blade.
CVAR: idm_modifier 3


= Knife Fight =

When enabled, players can only use the Knife.
CVAR: idm_modifier 4


= Fisting =

When enabled, players can only use the  W I D E   F I S T!
CVAR: idm_modifier 5


= Mortar =

When enabled, players can only use the Grenade Rifle with infinite ammo.
CVAR: idm_modifier 6


= Cowboy Mode =

When enabled, players can only use a Knife and a Yellowboy with 20 shells.
CVAR: idm_modifier 7


= Hot Rockets =

When enabled, players can only use the Rocket Launcher.
CVAR: idm_modifier 8


= Lumberjack =

When enabled, players can only use the Chainsaw.
CVAR: idm_modifier 9


= Armageddon =

When enabled, ALL weapon spots spawn random Big Weapons!
CVAR: idm_modifier 10


= Fast Weapons =

When enabled, weapons have double rate of fire!
CVAR: idm_modifier 11


= Gun Nut Mode =

When enabled, weapons are permanently upgraded!
CVAR: idm_modifier 12


= Flymatch =

When enabled, players can fly!
CVAR: idm_modifier 13


= Powerfest =

When enabled, players spawn with a random powerup!
CVAR: idm_modifier 14


= Point-blank =

When enabled, all weapons are shotguns, all ammo are shotgun shells, and all
armors are Bullet Armors and Blue Armors.


= Bullet Hell =

When enabled, all weapons are bullet weapons, all ammo are clips and bullet
boxes, and all armors are Bullet Armors and Blue Armors.


= Blockbuster =

When enabled, all weapons are explosive weapons, all ammo are rockets and rocket
boxes, and all armors are Frag Armors and Red Armors.


= Cell Shock =

When enabled, all weapons are plasma weapons, all ammo are cells and cell packs,
and all armors are Tech Armors and Purple Armors.


== Player Properties:

These settings are listed under the Insanity Options -> Player Properties menu.

= Starting weapons =

CVAR: idm_startweapons (true/false)
Default: true

When enabled, allows players to select different starting weapons in the Player
Setup menu.

When disabled, players will only spawn with the Pistol, no matter what starting
weapon they select.

= Teleport freeze =

CVAR: idm_teleportfreeze (true/false)
Default: false

When enabled, players are frozen for half a second upon entering a standard
teleporter, just like in Doom.

When disabled, players don't freeze when entering standard teleporters, but
still lose all momentum.

= Explosive deaths =

CVAR: idm_explosivedeaths (0/1/2)
Default: 1

When set to 1, or 'Based on players' in Insanity Options -> Player Properties,
players have a chance to explode into a fireball sendoff or a small projectile
explosion when fragged, potentially fragging nearby enemies.

The explosive death chance in the 'Based on players' setting depends on the
amount of players. The more players there are, the smaller the chance an
explosive death will happen.

Full table of chances depending on the amount of players:
  1-2 players = 24/256 chance
  3-4 players = 20/256 chance
  5-6 players = 18/256 chance
  7-8 players = 16/256 chance
  9-10 players = 14/256 chance
  11-12 players = 12/256 chance
  13-14 players = 10/256 chance
  15-16 players = 8/256 chance
  17-18 players = 6/256 chance
  19-20 players = 4/256 chance
  21-22 players = 2/256 chance
  Over 22 players = 1/256 chance

When set to 2, or 'Custom chance' in the menu, you can set a custom chance
for the explosive deaths between 0 (0%) and 128 (50%) by adjusting the
'Expl. death custom chance' number field in the menu, or by typing
'idm_explodechance 0-128' in the server console.

Setting the modifier to 0, or 'Off' in the menu, will disable the explosive
deaths from happening completely.

= Rare gibbing nukes =

CVAR: idm_gibnukes (true/false)
Default: true

When enabled, allows the rare effect of players exploding into huge meme-like
explosions when gibbed from an overkill attack.

The chance of this is counter-progressive depending on the amount of players.
The more players there are, the smaller the chance a gibbing nuke will execute.

Full table of chances depending on the amount of players:
  1-3 players = 8/256 chance
  4-6 players = 6/256 chance
  7-8 players = 4/256 chance
  9-10 players = 3/256 chance
  11-20 players = 2/256 chance
  Over 20 players = 1/256 chance

Disabling the modifier will disable the nukes from happening completely.



== IF YOU HAVE ANY QUESTIONS ABOUT SETTING UP A SERVER WITH INSANITYDM: ==

- Reply to the Doomworld forum thread of Insanity Deathmatch at
  https://www.doomworld.com/forum/topic/125636/
  
- Or reply to the Zandronum forum thread of Insanity Deathmatch at
  https://zandronum.com/forum/viewtopic.php?f=58&t=10212

 Thank you and happy server hosting!
 - Kaapeli47
================================================================================